#include <Constants.h>
#include "IsCursorKey.h"


Byte IsCursorKey( char aChar, Byte aCode )
{
	Byte theCursorKey = 0;

	switch ( aChar )
	{
		case kLeftCursor:
			theCursorKey = KeyLeftCursor;
			break;
			
		case kRightCursor:
			theCursorKey = KeyRightCursor;
			break;
			
		case kUpCursor:
			theCursorKey = KeyUpCursor;
			break;
			
		case kDownCursor:
			theCursorKey = KeyDownCursor;
			break;
			
		default:
			switch ( aCode )
			{
				case KeyLeftCursor:
					theCursorKey = KeyLeftCursor;
					break;
					
				case KeyRightCursor:
					theCursorKey = KeyRightCursor;
					break;
					
				case KeyUpCursor:
					theCursorKey = KeyUpCursor;
					break;
					
				case KeyDownCursor:
					theCursorKey = KeyDownCursor;
					break;
			}
	}

	return theCursorKey;
	
} /* IsCursorKey */



Boolean IsNavigationKey( char aChar, Byte aCode )
{
    switch ( aCode )
    {
 		case kEnterKey:
    	case kEscapeOrClear:    
        case KeyHome:
        case KeyEnd:
        case KeyPageUp:
        case KeyPageDown:
        case KeyUpCursor:
        case KeyDownCursor:
        case KeyLeftCursor:
        case KeyRightCursor:
        	return TRUE;
            break;
            
        default: 
        	switch ( aChar )
        	{
        		case '\r':
        		case '\t':
				case kEnterKey:
				case kEscapeOrClear:
				case kLeftCursor:
				case kRightCursor:
				case kUpCursor:
				case kDownCursor:
					return TRUE;
			}
    }
    
    return FALSE;
 
} /* IsNavigationKey */



